/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_1}", "click", function(sym, e) {
         sym.stop("gris");
         sym.getSymbol("NIDO").play("inicio");
         sym.$("nido").show();
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.getSymbol("HORMIGUERO").stop(0);
         sym.getSymbol("GUSANO").stop(0);
         sym.getSymbol("NIDO").stop(0);
         sym.getSymbol("RANA").stop(0);
         sym.getSymbol("PANAL").stop(0);
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("Rectangle").show();
         sym.getComposition().getStage().$("descripcion").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();
         sym.getComposition().getStage().$("Rectangle").hide();
         sym.getComposition().getStage().$("descripcion").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_botonera}", "click", function(sym, e) {
         sym.stop("color");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_2}", "click", function(sym, e) {
         sym.stop("gris");
         sym.getSymbol("HORMIGUERO").play("inicio");
         sym.$("hormiguero").show();
         sym.$("hormiguero2").show();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_3}", "click", function(sym, e) {
         sym.stop("gris");
         sym.getSymbol("RANA").play("inicio");
         sym.$("rana").show();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_4}", "click", function(sym, e) {
         sym.stop("gris");
         sym.getSymbol("GUSANO").play("inicio");
         sym.$("gusano").show();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot_5}", "click", function(sym, e) {
         sym.stop("gris");
         sym.getSymbol("PANAL").play("inicio");
         sym.$("abejas").show();
         
         sym.getSymbol("PANAL").getSymbol("ABEJA").play("inicio");
         sym.getSymbol("PANAL").getSymbol("ABEJA_1").play("inicio");
         sym.getSymbol("PANAL").getSymbol("ABEJACopy3").play("inicio");
         sym.getSymbol("PANAL").getSymbol("ABEJACopy").play("inicio");
         sym.getSymbol("PANAL").getSymbol("ABEJACopy2").play("inicio");
         sym.getSymbol("PANAL").getSymbol("ABEJA_1Copy").play("inicio");
         sym.getSymbol("PANAL").getSymbol("ABEJA_1Copy2").play("inicio");
         
         
         
         
         
         
         

      });
      //Edge binding end

   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'PANAL'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play("inicio");

      });
      //Edge binding end

   })("PANAL");
   //Edge symbol end:'PANAL'

   //=========================================================
   
   //Edge symbol: 'ABEJA'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         sym.play("inicio");

      });
      //Edge binding end

   })("ABEJA");
   //Edge symbol end:'ABEJA'

   //=========================================================
   
   //Edge symbol: 'ABEJA_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         sym.play("inicio");

      });
      //Edge binding end

   })("ABEJA_1");
   //Edge symbol end:'ABEJA_1'

   //=========================================================
   
   //Edge symbol: 'RANA'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("RANA");
   //Edge symbol end:'RANA'

   //=========================================================
   
   //Edge symbol: 'NIDO'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("NIDO");
   //Edge symbol end:'NIDO'

   //=========================================================
   
   //Edge symbol: 'GUSANO'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play("antena");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("GUSANO");
   //Edge symbol end:'GUSANO'

   //=========================================================
   
   //Edge symbol: 'HORMIGUERO'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 13000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("inicio");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("HORMIGUERO");
   //Edge symbol end:'HORMIGUERO'

})(jQuery, AdobeEdge, "EDGE-5531445");